function phi=pgap_coef_gs(Ac,Bc,kn,kg,N,seg)
%
% estimation of the coeffients of the
% trigonometric polynomial
% for the periodically gapped data case
% using a 2D embedding
%
% G.O. Glentis, UoP 2010
%
ZBc=Bc;
ZBc(1:kn,1:kn)=zeros(kn);
ZBc(kn+1:end,:)=Bc(1:end-kn,:);
N1=kn;
N2=kg;
CCC1=zeros(2*N2-1,2*N1-1);
for kk=1:N1
   CCC1=CCC1+td_coef1_a(Ac(:,kk),N1,N2)-td_coef1_a(ZBc(:,kk),N1,N2);
end

C0=CCC1';

nc=2*kg-1;
nn=2*N-1;
F0=zeros(nn,nc);
seg_i=[-kn+1:kn-1]';
for i=1:nc
    F0(seg_i+seg*(i-1)+seg,i)=C0(:,end-i+1);
end

F0f=[sum(F0.')].';

phi=F0f;
