function TC=td_coef1_a(S,M1,M2)
%
% Estimation of the trigonometric polynomial
% coefficients of a 2D product
% f^H(w_1,w_2)T*T'f(w_1,w_2)
% where T is a special type of ablock Toeplitz matrix
%
% G.O. Glentis, UoP 2010
%
%
L1=M1;
L2=M2;

nS=conj(S);
DS= (kron([1:L2]',ones(L1,1)));

 
Tx=[];
ty=DS.*flipud(nS);
Ty=[];
for i=1:L2
    Tx=[Tx [S(1+(i-1)*L1:i*L1);zeros(L1-1,1)]];
    Ty=[Ty [ty(1+(i-1)*L1:i*L1);zeros(L1-1,1)]];
end
Tx=[Tx zeros(2*L1-1,L2-1)];
Ty=[Ty zeros(2*L1-1,L2-1)];
Tz=ifft2(fft2(Tx.').*fft2(Ty.'));
Tz0=Tz(1:L2,:);

TC=[conj(Tz0(1:end-1,end:-1:1));Tz0(end:-1:1,:)];

